/**
 * @license
 * Copyright 2022 Dynatrace LLC
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Polyfill for `globalThis.structuredClone`.
 *
 * Copied from https://github.com/nodejs/undici/blob/40ab05029814c9778b80657d530e943d1cdfc6f2/lib/fetch/constants.js#L105
 */
export default function structuredClone(value: any, options?: {
    transfer: any[];
} | undefined): any;
